# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2006 Red Hat, Inc.
# All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# END COPYRIGHT BLOCK

AC_ARG_WITH(admserv, [  --with-admserv=PATH        Install DSGW with Admin Server - PATH is server root],
[
  if test "$withval"
  then
    AC_MSG_RESULT([using $withval])
    HAVE_ADMSERV=1
    basedir="$withval/clients/dsgw"
    htmldir="$basedir/html"
    pbhtmldir="$basedir/pbhtml"
    configdir="$basedir/config"
    pbconfigdir="$basedir/pbconfig"
    contextdir="$basedir/context"
    cgibindir="$basedir/bin"
    propertydir=$contextdir
    securitydir=$contextdir
    manualuri="/manual"
    cgiuri="/clients/dsgw/bin/"
    cookiedir="$basedir/cookies"
  else
    echo
    AC_MSG_ERROR([$withval not found])
  fi
],
AC_MSG_RESULT(no))

if test -z "$HAVE_ADMSERV" ; then
    AC_PATH_PROG([HTTPD], [httpd], [],
                 [$PATH:/opt/hpws/apache/bin:/usr/local/apache/sbin:/usr/local/apache2/sbin:/usr/sbin])
    if test -z "$HTTPD" -o ! -x "$HTTPD" ; then
        AC_MSG_ERROR([Apache2 httpd server not found])
    fi

    httpd_root=`$HTTPD -V | grep HTTPD_ROOT | cut -f2 -d=`
    httpd_root=`eval echo $httpd_root`
    httpd_conf_rel=`$HTTPD -V | grep SERVER_CONFIG_FILE | cut -f2 -d=`
    httpd_conf_rel=`eval echo $httpd_conf_rel`

    httpd_conf=${httpd_root}/${httpd_conf_rel}

    htmlbasedir=`grep \^DocumentRoot $httpd_conf|awk '{print $2}'`
    htmlbasedir=`eval echo $htmlbasedir`
    # these directories are html based
    htmldir="$htmlbasedir/dsgw/html"
    pbhtmldir="$htmlbasedir/dsgw/pbhtml"
    configdir="$htmlbasedir/dsgw/config"
    pbconfigdir="$htmlbasedir/dsgw/pbconfig"
    manualuri="/dirsvr/manual"

    # CGI program directory
    cgibindir=`grep '^ScriptAlias.*/cgi-bin/' $httpd_conf|awk '{print $3}'`
    cgibindir=`eval echo $cgibindir`
    cgiuri=`grep '^ScriptAlias.*/cgi-bin/' $httpd_conf|awk '{print $2}'`

    # configuration files and etc.
    contextdir=/etc/dsgw
    propertydir=$contextdir
    securitydir=$contextdir
    cookiedir=/var/run/dsgw/cookies
fi
